package com.perforce.jdev;

import com.perforce.api.EventLog;
import oracle.ide.scm.util.SCMLogWriter;

public class P4Log extends EventLog  {
   final SCMLogWriter logWriter;

   public P4Log(SCMLogWriter lw) {
      super();
      logWriter = lw;
   }

   public synchronized void log(String event) {
      logWriter.writeln(event);
   }

   public synchronized void log(String event, String level) {
      logWriter.write(level);
      logWriter.write(":  ");
      logWriter.writeln(event);
   }

   public synchronized void log(String event, String level, boolean asxml) {
      logWriter.write(level);
      logWriter.write(":  ");
      logWriter.writeln(event);
   }

}