package com.perforce.jdev.res;

import javax.swing.Icon;
import javax.swing.ImageIcon;

/** 
 * All Icon Overlays are 16x16 transparent images with a small image or two
 * in the corner.
 * 
 * @version $Revision: #4 $
 */
public interface Overlays {

   /** A red plus to lower left. */
    final Icon ADDED =
      new ImageIcon (Overlays.class.getResource("added.gif"));

   /** A black exclamation to lower left. */
    final Icon CONFLICTS =
      new ImageIcon (Overlays.class.getResource("conflicts.gif"));

   /** A black asterisk to lower left. */
    final Icon MODIFIED =
      new ImageIcon (Overlays.class.getResource("modified.gif"));

   /** A yellow diamond (square) to lower left. */
    final Icon NEEDUPDATE =
      new ImageIcon (Overlays.class.getResource("needupdate.gif"));

   /** A red cross to lower left. */
    final Icon REMOVED =
      new ImageIcon (Overlays.class.getResource("removed.gif"));

   /** A shaded black square outline to lower left. */
    final Icon UPTODATE =
      new ImageIcon (Overlays.class.getResource("uptodate.gif"));

   /** A padlock to lower left and red check at upper left. */
   final Icon LOCKED =
      new ImageIcon (Overlays.class.getResource("locked.gif"));

   /** A red check to upper left. */
   final Icon OPEN =
      new ImageIcon (Overlays.class.getResource("checked.gif"));

}
